> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# CI/CD-Daten hochladen

> Lädt Metadaten und Kontextinformationen einer CI/CD-Pipeline für einen bestimmten Scan-Lauf hoch.



## OpenAPI

````yaml /de/api-reference/openapi.json post /ci-data-upload
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API für die Interaktion mit den Scan- und
    Schwachstellenmanagement-Funktionen von Corgea
servers:
  - url: https://www.corgea.app/api/v1
    description: Produktionsserver
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /ci-data-upload:
    post:
      tags:
        - Uploading 3rd Party Scan
      summary: CI/CD-Daten hochladen
      description: >-
        Lädt Metadaten und Kontextinformationen einer CI/CD-Pipeline für einen
        bestimmten Scan-Lauf hoch.
      operationId: ciDataUpload
      parameters:
        - name: run_id
          in: query
          required: true
          schema:
            type: string
          description: ID des diesen CI-Daten zugeordneten Scan-Laufs
        - name: platform
          in: query
          required: true
          schema:
            type: string
          description: Name der CI/CD-Plattform (z. B. jenkins, github-actions, gitlab-ci)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: Metadaten und Kontextinformationen der CI/CD-Pipeline
              additionalProperties: true
      responses:
        '200':
          description: CI-Daten erfolgreich hochgeladen
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                    example: ok
                required:
                  - status
        '400':
          description: Ungültiger Request – Fehler beim Parsen von JSON
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid JSON format
        '404':
          description: Kein Scan für die angegebene run_id gefunden
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: unable to find scan associated to this run id
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API-Key für die Authentifizierung
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2-Access-Token (JWT) im Authorization-Header

````